Bug 1183256 - Problem with daily cron script
Summary: Problem with daily cron script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dspam
Version: epel7
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-17 19:57 UTC by Alexander Protasov
Modified: 2015-02-01 00:26 UTC (History)
2 users (show)

Fixed In Version: dspam-3.10.2-14.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-01 00:23:40 UTC
Type: Bug


Attachments (Terms of Use)
patch for /etc/cron.daily/dspam (1.31 KB, patch)
2015-01-17 19:57 UTC, Alexander Protasov
no flags Details | Diff

Description Alexander Protasov 2015-01-17 19:57:34 UTC
Created attachment 981052 [details]
patch for /etc/cron.daily/dspam

/etc/cron.daily/dspam:

Can not run MySQL purge script:
  /usr/bin/mysql_config does not exist

I get the above error in my logs and via email. This is due to line 194 in /etc/cron.daily/dspam we can see filename mysql_config. But this file is absent in mariadb package. This file is needed only for getting version of MySQL, so I wrote small patch for correct it.

Comment 1 Fedora Update System 2015-01-19 18:45:58 UTC
dspam-3.10.2-14.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dspam-3.10.2-14.fc21

Comment 2 Fedora Update System 2015-01-19 18:46:04 UTC
dspam-3.10.2-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dspam-3.10.2-14.fc20

Comment 3 Nathanael Noblet 2015-01-19 18:47:11 UTC
Thanks for the patch... please test the above builds.

Comment 4 Fedora Update System 2015-01-20 20:59:46 UTC
Package dspam-3.10.2-14.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dspam-3.10.2-14.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0895/dspam-3.10.2-14.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-02-01 00:23:40 UTC
dspam-3.10.2-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-02-01 00:26:45 UTC
dspam-3.10.2-14.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.